# Uses of Interface
org.springframework.core.annotation.AnnotationFilter

Packages that use AnnotationFilter
Package
Description
org.springframework.core.annotation
Core support package for annotations, meta-annotations, and merged annotations with attribute overrides.

## Uses of AnnotationFilter in org.springframework.core.annotation

Fields in org.springframework.core.annotation declared as AnnotationFilter
Modifier and Type
Field
Description
`static final AnnotationFilter`
AnnotationFilter.`ALL`
`AnnotationFilter` that always matches and can be used when no relevant annotation types are expected to be present at all.
`static final AnnotationFilter`
AnnotationFilter.`JAVA`
`AnnotationFilter` that matches annotations in the `java` and `javax` packages and their subpackages.
`static final AnnotationFilter`
AnnotationFilter.`NONE`
Deprecated.
as of 5.2.6 since the `MergedAnnotations` model always ignores lang annotations according to the `PLAIN` filter (for efficiency reasons)
`static final AnnotationFilter`
AnnotationFilter.`PLAIN`
`AnnotationFilter` that matches annotations in the `java.lang` and `org.springframework.lang` packages and their subpackages.
Methods in org.springframework.core.annotation that return AnnotationFilter
Modifier and Type
Method
Description
`static AnnotationFilter`
AnnotationFilter.`packages(String... packages)`
Create a new `AnnotationFilter` that matches annotations in the specified packages.
Methods in org.springframework.core.annotation with parameters of type AnnotationFilter
Modifier and Type
Method
Description
`static MergedAnnotations`
MergedAnnotations.`from(Object source, Annotation[] annotations, RepeatableContainers repeatableContainers, AnnotationFilter annotationFilter)`
Create a new `MergedAnnotations` instance from the specified annotations.
`static MergedAnnotations`
MergedAnnotations.`from(AnnotatedElement element, MergedAnnotations.SearchStrategy searchStrategy, RepeatableContainers repeatableContainers, AnnotationFilter annotationFilter)`
Create a new `MergedAnnotations` instance containing all annotations and meta-annotations from the specified element and, depending on the `MergedAnnotations.SearchStrategy`, related inherited elements.
`MergedAnnotations.Search`
MergedAnnotations.Search.`withAnnotationFilter(AnnotationFilter annotationFilter)`
Configure the `AnnotationFilter` to use.